Skip to main content
GET
/
fleet
/
drivers
/
tachograph-activity
/
history
Get driver tachograph activity
curl --request GET \
  --url https://api.samsara.com/fleet/drivers/tachograph-activity/history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "activity": [
        {
          "endTime": "2020-01-03T16:04:05Z07:00",
          "isManualEntry": false,
          "startTime": "2020-01-02T15:04:05Z07:00",
          "state": "BREAK/REST"
        }
      ],
      "driver": {
        "id": "88668",
        "name": "Susan Bob"
      }
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

startTime
string
required

A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string
required

An end time in RFC 3339 format. It can't be more than 30 days past startTime. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

driverIds
string[]

A filter on the data based on this comma-separated list of driver IDs. Example: driverIds=1234,5678

parentTagIds
string[]

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

tagIds
string[]

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

Response

List of all driver tachograph activities in a specified time range.

List of all driver tachograph activities in a specified time range.

data
object[]
pagination
object

Pagination parameters.